blob: eec8b53164f385219c6267ef01f927e1c3851c53 [file] [log] [blame]
Brian Gaeke4940c572004-02-08 07:44:48 +00001#!/bin/sh
2die () {
3 echo "$@" 1>&2
4 exit 1
5}
6test -d autoconf && test -f autoconf/configure.ac && cd autoconf
Reid Spencerdcd38752004-09-07 16:00:48 +00007test -f configure.ac || die "Can't find 'autoconf' dir; please cd into it first"
Brian Gaeke2051fe32004-02-24 22:58:31 +00008autoconf --version | egrep '2\.5[0-9]' > /dev/null
9if test $? -ne 0
Brian Gaeke4940c572004-02-08 07:44:48 +000010then
11 die "Your autoconf was not detected as being 2.5x"
12fi
13echo "Note: Warnings about 'AC_CONFIG_SUBDIRS: you should use literals' are ok"
Reid Spencerdcd38752004-09-07 16:00:48 +000014echo "Regenerating aclocal.m4 with aclocal"
15cwd=`pwd`
16aclocal -I $cwd/m4 || die "aclocal failed"
Brian Gaeke4940c572004-02-08 07:44:48 +000017echo "Regenerating configure with autoconf 2.5x"
18autoconf -o ../configure configure.ac || die "autoconf failed"
19cd ..
20echo "Regenerating config.h.in with autoheader 2.5x"
Reid Spencerdcd38752004-09-07 16:00:48 +000021autoheader -I autoconf -I autoconf/m4 autoconf/configure.ac || die "autoheader failed"
Brian Gaeke4940c572004-02-08 07:44:48 +000022exit 0